# ODOO MR-ERP DEVELOPERS LOCAL ENVIRONMENT
## GUÍA PARA DESARROLLADORES - REV. 30/11/2024

### Preparación de ambiente local de desarrollo utilizando contenedores

#### Perfil para desarrollador MRDEVOPS

Antes de ejecutar alguno de estos procesos asegurese de haber instalado **MRDEVOPS DEVSTOOLS** y configurado su perfil como desarrollador para **MRDEVOPS**.

#### Instalando pre-requisitos de desarrollo
    $ ./bin/bootstrap.sh

Nota: Este comando requiere **privilegios de superusuario**, asegurese de tener permisos de **root** o contacte con su administrador. Actualmente, solo para distribuciones Debian. Solo se requiere si no se han instalado pre-requisitos previamente.

#### Crear carpeta para el ambiente de desarrollo odoo
Si eres parte del equipo de desarrollo de **MR DEVELOPERS**, se recomienda fuertemente que a mivel de la carpeta **$HOME** crees una carpeta **developers** que será la carpeta raiz de los diferentes proyectos de desarrollo.

    $ mkdir $HOME/developers

Dentro de la carpeta **$HOME/developers**, vas a descargar el proyecto base en la carpeta **odoo**

    $ cd $HOME/developers
    $ git

### Preparación de ambiente local de proyecto odoo

#### Creación de un proyecto odoo nuevo
$ ./bin/project.sh [proyecto]

Nota: Crea la estructura de carpetas y copia los archivos de gestión requeridos para un nuevo proyecto o actualiza un proyecto existente.

#### Configurando el ambiente local de desarrollo de un proyecto odoo
$ cd [proyecto]

$ ./configure.sh

Nota: Llene el formulario de configuración para el ambiente de desarrollo. Es importante y requerido realizar este paso antes de seguir con el siguiente. Este archivo es particular para cada ambiente de desarrollador, por lo que es importante que lo ejecute al momento de inicializar su ambiente de desarrollo.

#### Inicializando contenedor odoo local para desarrollo
$ ./build.sh

Nota: Se requiere para la construcción de la imagen odoo local desde donde se creará la imagen de contenedor del proyecto. En el futuro, este proceso será opcional; ya que tendremos una imagen disponible lista para descarga desde el repositorio. También, puede usarse para contruir la imagen si no tiene acceso a internet.

### Ejecutando demonios de arranque de instancia local de Odoo

#### Arranque de instancia de odoo local para desarrollo
$ ./up.sh

Nota: En este punto deberia poder ir a https://localhost:101[puerto_definido]

#### Baja ordenada de instancia de odoo local para desarrollo
$ ./down.sh

Nota: Solo debe ejecutarse si hay una instancia activa del proyecto